Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Attributes | List of all members
Ofcas.Lk.Api.Client.Core.TextElevationInfo Class Reference

Represents the metadata to a textbased Elevation. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.TextElevationInfo:

## Public Attributes
string | Unit => Data.Unit
| The unit of the amount. More...
Stream | RtfContent => Data.RtfContent
| The rtf content of the text elevation. More...
Public Attributes inherited from Ofcas.Lk.Api.Client.Core.ElevationInfo
Guid | Guid => Data.ElevationGuid
| Defines the unique identifier for the elevation. This Guid is valid during the hole lifetime of the elevation. More...
Guid | LkVersionGuid => VersionGuid
| This property is deprecated. Please use ElevationInfo.VersionGuid instead. More...
Guid | VersionGuid => Data.VersionGuid
| Every elevation has a unique identifer (see Guid for the hole lifetime of an elevation. The version Guid defines the current state of the elevation. More...
string | Name => Data.Number
| The name of the elevation More...
string | UserDescription => Data.UserDescription
string | ModelDescription => Data.ModelDescription
string | AutomaticDescription => Data.AutomaticDescription
string | SystemDescription => Data.SystemDescription
| The containing system. More...
bool | Deleted => Data.IsDeleted
| Determines the elevation is deleted (true). More...
bool | IsDeleted => Data.IsDeleted
| Determines the elevation is deleted (true). More...
string | CreatedByUser => Data.CreatedByUser
ulong | CreatedDate => Data.CreatedDate
ulong | LastChangeDate => Data.LastChangeDate
double | Height => Data.Height
double | Width => Data.Width
string | UValue => Data.UValue
string | SurfaceBaseElement => Data.SurfaceBaseElement.Name
int | SurfaceBaseElementInsideRgb => Data.SurfaceBaseElement.InsideRgb
int | SurfaceBaseElementOutsideRgb => Data.SurfaceBaseElement.OutsideRgb
string | SurfaceFrameElement => Data.SurfaceFrameElement.Name
int | SurfaceFrameElementInsideRgb => Data.SurfaceFrameElement.InsideRgb
int | SurfaceFrameElementOutsideRgb => Data.SurfaceFrameElement.OutsideRgb
IElevationProcessingStatus | ProcessingStatus => Data.ProcessingStatus
| The process status of the elevation. More...
ElevationStatus | StatusId => (ElevationStatus)ProcessingStatus.Id
string | StatusName => ProcessingStatus.Name
string | CloudUrn => Data.CloudUrn
ElevationFinishedState | State => Data.State
ElementType | ElementType => new ElementType(Data.ElementType)
bool | IsAlternative => Data.IsAlternative
double | Amount => Data.Amount
| Returns the amount of instances of this elevation. Please note: This property will be moved in the future and not be available for all types of elevation. More...
bool | HasBackup => Data.HasBackup
| Returns whether or not this elevation currently has a backup file that needs to be restored or deleted. More...

## Additional Inherited Members
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.ElevationInfo
bool | IsTextElevation ()
bool | IsMaterialElevation ()
TextElevationInfo | AsTextElevation ()
bool | IsElementPricelistElevation ()
ElementPricelistElevationInfo | AsElementPricelistElevation ()
MaterialElevationInfo | AsMaterialElevation ()
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< ElevationInfoData, Phase, PhaseInfo >
| CoreInfo (TData data)
| CoreInfo (TData data, TParent parent)
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< ElevationInfoData, Phase, PhaseInfo >
TData | Data`[get]`
TParent | ParentInfo`[get, set]`
TParentObject | Parent`[get, set]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoDeletable
bool | Deleted`[get]`
| Indicated if this core info is deleted. More...
bool | IsDeleted`[get]`
| Indicated if this core info is deleted. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoWithGuid
Guid | Guid`[get]`
| The globally unique identifier of an info object. More...

## Detailed Description

Represents the metadata to a textbased Elevation.

## Member Data Documentation

## ◆ RtfContent

Stream Ofcas.Lk.Api.Client.Core.TextElevationInfo.RtfContent => Data.RtfContent

The rtf content of the text elevation.

## ◆ Unit

string Ofcas.Lk.Api.Client.Core.TextElevationInfo.Unit => Data.Unit

The unit of the amount.

The documentation for this class was generated from the following file:

- TextElevationInfo.cs